# Uses of Class
org.apache.avro.hadoop.io.AvroSequenceFile.Reader.Options

Packages that use AvroSequenceFile.Reader.Options
Package
Description
org.apache.avro.hadoop.io

## Uses of AvroSequenceFile.Reader.Options in org.apache.avro.hadoop.io

Methods in org.apache.avro.hadoop.io that return AvroSequenceFile.Reader.Options
Modifier and Type
Method
Description
`AvroSequenceFile.Reader.Options`
AvroSequenceFile.Reader.Options.`withConfiguration(Configuration conf)`
Sets the Hadoop configuration.
`AvroSequenceFile.Reader.Options`
AvroSequenceFile.Reader.Options.`withFileSystem(FileSystem fileSystem)`
Sets the filesystem the SequenceFile should be read from.
`AvroSequenceFile.Reader.Options`
AvroSequenceFile.Reader.Options.`withInputPath(Path inputPath)`
Sets the input path for the SequenceFile.
`AvroSequenceFile.Reader.Options`
AvroSequenceFile.Reader.Options.`withKeySchema(org.apache.avro.Schema keyReaderSchema)`
Sets the reader schema of the key records when using Avro data.
`AvroSequenceFile.Reader.Options`
AvroSequenceFile.Reader.Options.`withValueSchema(org.apache.avro.Schema valueReaderSchema)`
Sets the reader schema of the value records when using Avro data.
Constructors in org.apache.avro.hadoop.io with parameters of type AvroSequenceFile.Reader.Options
Modifier
Constructor
Description
``
`Reader(AvroSequenceFile.Reader.Options options)`
Creates a new `Reader` from a SequenceFile that supports Avro data.